Bug 15735 - Audio Alerts editor broken by use of of single quotes in editor
Summary: Audio Alerts editor broken by use of of single quotes in editor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-03 19:43 UTC by Kyle M Hall
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15735 - Audio Alerts editor broken by use of of single quotes in editor (1.75 KB, patch)
2016-02-03 19:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15735 - Audio Alerts editor broken by use of of single quotes in editor (2.55 KB, patch)
2016-02-03 20:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15735: Audio Alerts editor broken by use of of single quotes in editor (2.67 KB, patch)
2016-02-04 15:05 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15735: Audio Alerts editor broken by use of of single quotes in editor (2.72 KB, patch)
2016-02-08 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15735: Audio Alerts editor broken by use of of single quotes in editor (2.71 KB, patch)
2016-03-07 19:45 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-03 19:43:41 UTC
Single quotes audio selector break ability to edit an alert
Comment 1 Kyle M Hall 2016-02-03 19:59:34 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-02-03 20:16:39 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2016-02-04 05:42:43 UTC
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/includes/doc-head-close.inc).
Comment 4 Kyle M Hall 2016-02-04 14:00:43 UTC
(In reply to Mirko Tietgen from comment #3)
> fatal: sha1 information is lacking or useless
> (koha-tmpl/intranet-tmpl/prog/en/includes/doc-head-close.inc).

Forgot to mark this bug as dependent on 15734!
Comment 5 Héctor Eduardo Castro Avalos 2016-02-04 15:05:25 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-02-08 11:19:26 UTC Comment hidden (obsolete)
Comment 7 Brendan Gallagher 2016-02-23 21:32:10 UTC
Blocked by 15734 being BLOCKED
Comment 8 Kyle M Hall 2016-03-07 19:45:48 UTC
Created attachment 48763 [details] [review]
Bug 15735: Audio Alerts editor broken by use of of single quotes in editor

Single quotes audio selector break ability to edit an alert

Test Plan:
1) Enable audio alerts
2) Add new a alert with a select containing single quotes such as: input[name*='test']
3) Note you cannot edit the alert
4) Apply this patch
5) Reload the page
6) You should now be able to edit the alert

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Bug 15734 applied on top. Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Brendan Gallagher 2016-03-07 19:57:31 UTC
pushed to Master - Should be in the May 2016 release.  Thanks
Comment 10 Julian Maurice 2016-03-14 09:21:57 UTC
Patch pushed to 3.22.x, will be in 3.22.5